# OpenSRS client config. file for Digital Certificate services

use vars qw(%REG_CERT @SERVER_TYPES %SERVER_TYPES @APPROVER_TYPES
	    @CERT_PRODUCTS %CERT_PRODUCTS %RENEWALS);

%REG_CERT = (
    # 1 - feature enabled, 0 - feature disabled
    debug => 0,
    process_immediate => 1,

    # allow renewals?
    renewals_enabled => 0,
    
    # maximum registration period (years)
    max_period => 3,

    # Email address to send inquires for Digital Certificates orders.
    # If empty OpenSRS.conf's $ADMIN_EMAIL will be used.
    inquires_email => '',

    # this is where CSR Generation Instructions are:
    csr_help_url =>
	'https://ssl-certificate.info/geotrust_CSR.html',
    
    # URLs for "GeoTrust Subscriber Agreement" link
    quickssl_agreement_url => 'https://certs.tucows.com/geotrust_agreements/quickssl.htm',
    truebizid_agreement_url => 'https://certs.tucows.com/geotrust_agreements/truebiz.htm',

    # send order placement confirmation email to client
    send_order_placement_confirmation => 1,
    F_VERIFY_CC     => 1,
);

$REG_CERT{F_VERIFY_CC} = $REG_CERT{F_VERIFY_CC} && $F_SHOW_CC_FIELDS;

# to disable particular server(s) - comment out appropriate line(s)

@SERVER_TYPES = (
    'apacheopenssl',	'Apache + OpenSSL',
    'apachessl',	'Apache + MOD SSL',
    'apacheraven',	'Apache + Raven',
    'apachessleay',	'Apache + SSLeay',
    'c2net',		'C2Net Stronghold',
    'ibmhttp',		'IBM HTTP',
    'iplanet',		'iPlanet Server 4.1',
    'dominogo4625',	'Lotus Domino Go 4.6.2.51',
    'dominogo4626',	'Lotus Domino Go 4.6.2.6+',
    'domino',		'Lotus Domino 4.6+',
    'iis4',		'Microsoft IIS 4.0',
    'iis5',		'Microsoft IIS 5.0',
    'netscape',		'Netscape Enterprise/FastTrack',
    'zeusv3',		'Zeus v3+',
    'apache2',		'Apache 2',
    'apacheapachessl',	'Apache + ApacheSSL',
    'cobaltseries',	'Cobalt Series',
    'cpanel',		'Cpanel',
    'ensim',		'Ensim',
    'hsphere',		'Hsphere',
    'ipswitch',		'Ipswitch',
    'plesk',		'Plesk',
    'tomcat',		'Tomcat',
    'weblogic',		'Weblogic - all versions',
    'website',		'O\'Reilly Website Professional',
    'webstar',		'Webstar',
    'iis',		'Microsoft Internet Information Server',
    'other',		'Other',
);
%SERVER_TYPES = @SERVER_TYPES;

# to disable particular product(s) - comment out appropriate line(s)
@CERT_PRODUCTS = (
    'quickssl',		    'QuickSSL',
    'quicksslpremium',	    'QuickSSL Premium',
    'truebizid',	    'True BusinessID',
    'truebizidwildcard',    'True BusinessID Wildcard',
);
%CERT_PRODUCTS = @CERT_PRODUCTS;

# to disable particular email type(s) - comment out appropriate line(s)
@APPROVER_TYPES = (
    'DOMAIN',
    'GENERIC',
    'MANUAL',
);

%RENEWALS = (
    # webserver types that mandate a new CSR to be generated with
    # every certificate renewal
    csr_regenerate_forced_types => {
	iis4 => 1,
	iis5 => 1,
	iis  => 1,
    },
);

1;
